التدفقات
GET https://sms.arsi.fun/api/flows/
curl --request GET \
--url 'https://sms.arsi.fun/api/flows/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://sms.arsi.fun/api/flows/' \
--header 'Authorization: Bearer {api_key}' \
| المعلمات | التفاصيل | الوصف |
|---|---|---|
| search | اختياري سلسلة نصية | سلسلة البحث. |
| search_by | اختياري سلسلة نصية | الحقل الذي تبحث عنه. القيم المسموح بها هي: name , content. |
| order_by | اختياري سلسلة نصية | الحقل الذي تريد ترتيب النتائج بناءً عليه. القيم المسموح بها هي: flow_id , datetime , last_datetime , last_sent_datetime , name , content , total_sent_sms , total_pending_sms , total_failed_sms. |
| order_type | اختياري سلسلة نصية | ترتيب النتائج. القيم المسموح بها هي: ASC للترتيب التصاعدي وDESC للترتيب التنازلي. |
| page | اختياري عدد صحيح | رقم الصفحة التي تريد عرض النتائج منها. القيمة الافتراضية هي 1. |
| results_per_page | اختياري عدد صحيح | عدد النتائج المطلوبة في كل صفحة. القيم المسموح بها هي: 10 , 25 , 50 , 100 , 250 , 500 , 1000. القيمة الافتراضية هي 25. |
{
"data": [
{
"id": 1,
"device_id": 1,
"sim_subscription_id": 1,
"user_id": 1,
"name": "Example",
"content": "Sample message",
"settings": {},
"wait_time": 3,
"wait_time_type": "days",
"is_enabled": true,
"total_sent_sms": 0,
"total_pending_sms": 0,
"total_failed_sms": 0,
"last_sent_datetime": null,
"last_datetime": null,
"datetime": "2026-05-17 01:44:25",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://sms.arsi.fun/api/flows?page=1",
"last": "https://sms.arsi.fun/api/flows?page=1",
"next": null,
"prev": null,
"self": "https://sms.arsi.fun/api/flows?page=1"
}
}
GET https://sms.arsi.fun/api/flows/{flow_id}
curl --request GET \
--url 'https://sms.arsi.fun/api/flows/{flow_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://sms.arsi.fun/api/flows/{flow_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"device_id": 1,
"sim_subscription_id": 1,
"user_id": 1,
"name": "Example",
"content": "Sample message",
"settings": {},
"wait_time": 3,
"wait_time_type": "days",
"is_enabled": true,
"total_sent_sms": 0,
"total_pending_sms": 0,
"total_failed_sms": 0,
"last_sent_datetime": null,
"last_datetime": null,
"datetime": "2026-05-17 01:44:25",
}
}
POST https://sms.arsi.fun/api/flows
| المعلمات | التفاصيل | الوصف |
|---|---|---|
| name | مطلوب سلسلة نصية | - |
| content | مطلوب سلسلة نصية | - |
| device_id | مطلوب عدد صحيح | - |
| sim_subscription_id | مطلوب عدد صحيح | - |
| wait_time | مطلوب عدد صحيح | - |
| wait_time_type | مطلوب سلسلة نصية | القيم المسموح بها: minutes , hours , days |
| segment | اختياري سلسلة نصية | القيم المسموح بها: all , INT segment_id |
| is_enabled | اختياري قيمة منطقية | - |
| auto_apply_to_matching | اختياري قيمة منطقية | - |
curl --request POST \
--url 'https://sms.arsi.fun/api/flows' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'content=Hello world' \
--form 'device_id=1' \
--form 'sim_subscription_id=1' \
--form 'segment=all' \
--url 'https://sms.arsi.fun/api/flows' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'content=Hello world' \
--form 'device_id=1' \
--form 'sim_subscription_id=1' \
--form 'segment=all' \
{
"data": {
"id": 1
}
}
POST https://sms.arsi.fun/api/flows/{flow_id}
| المعلمات | التفاصيل | الوصف |
|---|---|---|
| name | اختياري سلسلة نصية | - |
| content | اختياري سلسلة نصية | - |
| device_id | اختياري عدد صحيح | - |
| sim_subscription_id | اختياري عدد صحيح | - |
| wait_time | اختياري عدد صحيح | - |
| wait_time_type | اختياري سلسلة نصية | القيم المسموح بها: minutes , hours , days |
| segment | اختياري سلسلة نصية | القيم المسموح بها: all , INT segment_id |
| is_enabled | اختياري قيمة منطقية | - |
curl --request POST \
--url 'https://sms.arsi.fun/api/flows/{flow_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'content=Hello world' \
--form 'device_id=1' \
--form 'sim_subscription_id=1' \
--form 'segment=all' \
--url 'https://sms.arsi.fun/api/flows/{flow_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'content=Hello world' \
--form 'device_id=1' \
--form 'sim_subscription_id=1' \
--form 'segment=all' \
{
"data": {
"id": 1
}
}
DELETE https://sms.arsi.fun/api/flows/{flow_id}
curl --request DELETE \
--url 'https://sms.arsi.fun/api/flows/{flow_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://sms.arsi.fun/api/flows/{flow_id}' \
--header 'Authorization: Bearer {api_key}' \